summaryrefslogtreecommitdiff
path: root/package/openais/files/openais.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/openais/files/openais.init')
-rw-r--r--package/openais/files/openais.init29
1 files changed, 29 insertions, 0 deletions
diff --git a/package/openais/files/openais.init b/package/openais/files/openais.init
new file mode 100644
index 000000000..f36121c7a
--- /dev/null
+++ b/package/openais/files/openais.init
@@ -0,0 +1,29 @@
+#!/bin/sh
+#PKG openais
+#INIT 80
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${corosync:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ mount -t tmpfs -o size=4M tmpfs /dev/shm
+ [ -d /var/lib/corosync ] || mkdir -p /var/lib/corosync
+ /usr/sbin/aisexec
+ ;;
+stop)
+ kill $(pgrep -f corosync)
+ umount /dev/shm
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 {start | stop | restart}"
+ ;;
+esac
+exit $?